

/*   2log.io
 *   Copyright (C) 2021 - 2log.io | mail@2log.io,  mail@friedemann-metzger.de
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import QtQuick 2.0
import QtQuick.Controls 2.12
import UIControls 1.0

BigActionButton {

    id: docroot
    property string buttonIcon: Icons.rightAngle
    property string secondaryText: "EUR"
    property int fontSize: Fonts.bigDisplayFontSize
    Row {
        anchors.left: parent.left
        anchors.margins: 30
        anchors.verticalCenter: parent.verticalCenter
        spacing: 10

        TextLabel {
            text: docroot.text
            fontSize: docroot.fontSize
            anchors.verticalCenter: parent.verticalCenter
        }

        TextLabel {
            text: docroot.secondaryText
            visible: text !== ""

            fontSize: Fonts.bigDisplayUnitFontSize
            color: Colors.lightGrey
            anchors.verticalCenter: parent.verticalCenter
        }
    }

    Icon {
        id: icon
        anchors.right: parent.right
        anchors.verticalCenter: parent.verticalCenter
        icon: docroot.buttonIcon
        iconSize: 30
        anchors.rightMargin: 30
    }
}
